import java.util.*;
class Test {
	public static void main(String [] args){
		List<Integer> l = new LinkedList<>();
		for(int i=0; i<100000; i++) l.add(i);
		System.out.println("Done adding!");
		int sum;
		/*System.out.println("Calculate with loop");
		sum=0;
		for(int i=0;i<100000; i++) sum+=l.get(i);
		System.out.println("Done loop 1: sum = "+sum);*/
		System.out.println("Calculate with implicit iterator");
		sum=0;
		for(Integer i:l) sum+=i;
		System.out.println("Done loop 2: sum = "+sum);

		System.out.println("Calculate with explicit iterator");
		sum=0;
		Iterator<Integer> it = l.iterator();
		while(it.hasNext()) sum += it.next();
		System.out.println("Done loop 3: sum = "+sum);
	}
}
