import java.util.*;
import java.util.function.*;
class myList {
	private Integer [] data;
	private final int SIZE = 50;
	public myList() { 
		data = new Integer[SIZE];
		for(int i=0; i<SIZE; i++)
			data[i] = i;
	}
	public Iterator<Integer> evenIterator(){
		return new Iterator<Integer>(){
			int i=0;
			public boolean hasNext(){
				return i<SIZE;
			}
			public Integer next(){
				i+=2;
				return data[i-2];
			}
		};
	}
	public Iterator<Integer> iteratorIf(Predicate<Integer> p){
		return new Iterator<Integer>(){
			int i=0;
			public Integer next(){
				while(!hasNext() && i<SIZE) i++;
				if(i==SIZE) throw new NoSuchElementException();
				return data[i++];
			}
			public boolean hasNext(){
				while(i<SIZE){
					if(p.test(i)) return true;
					i++;
				}
				return false;
			}
		};
	}
	public static void main(String [] args){
		System.out.println("Hi!");
		myList l = new myList();
		Iterator<Integer> it = //l.iteratorIf((x-> x%5==2));
		    l.iteratorIf(x->{ int y=2; while(y<x){ if(x%y==0) return false; y++;} return true;});
		while(it.hasNext()) System.out.println(it.next());
	}
}
